SELECT JSON_QUERY(js, '$') FROM house;
SELECT JSON_QUERY(js, '$.floor') FROM house;
SELECT JSON_QUERY(js, '$.floor[1]') FROM house;
SELECT JSON_QUERY(js, '$.floor[*]' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.floor[*].apt' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.floor[*].apt[*]' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.floor[0, 1].apt[1 to last]' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.floor[*].apt[*].area' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.floor[*].apt[*].area' RETURNING int[] WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.floor[*].apt[*] ? (@.area > $min && @.area < $max)' PASSING 40 AS min, 90 AS max WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.floor[*].apt[*] ? (@.area > $min && @.area < $max).no' PASSING 40 AS min, 90 AS max RETURNING int[] WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.floor[*].apt[*] ? (@.area == null)' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.floor[*].apt[*] ? (@.area == null).no' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.floor[*] ? (@.level > 1).apt[*]' WITH WRAPPER) FROM house;
SELECT JSON_VALUE(js, '$.floor[*] ? (@.level > 1).apt[*] ? (@.area > $min && @.area < $max).no' PASSING 40 AS min, 90 AS max RETURNING int) FROM house;
SELECT JSON_QUERY(js, '$.*' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.floor[*].*' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.floor[*].apt[*] ? (@.* == 2)' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.floor[1].**' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.floor[1].**{0}' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.floor[1].**{1}' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.floor[1].**{2}' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.floor[1].**{0,2}' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.floor[1].**{2,}' WITH WRAPPER) FROM house;
SELECT JSON_EXISTS(js, '$.** ? (@ == "Moscow")') FROM house;
SELECT JSON_VALUE(js, '$.floor[*] ? (@.apt[*].area >= 100).level' RETURNING int) FROM house;
SELECT JSON_EXISTS(js, '$.floor[*] ? (@.apt.size() > 2)') FROM house;
SELECT JSON_QUERY(js, '$.floor[*].apt[*] ? (@.area / @.rooms > 30)' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.floor[*].apt[*] ? ((@.area / @.rooms > 30) is unknown)' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.floor[*].apt[*] ? (!(@.area < $.floor[*].apt[*].area))') FROM house;
SELECT JSON_QUERY(js, '$.** ? (@ starts with "Dm")' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.** ? (@ like_regex "ss.*a")' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.** ? (@ like_regex "ru" flag "i")' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.** ? (@ like_regex "^info@" flag "im")' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.** ? (@ like_regex "Postgres Pro")' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.** ? (@ like_regex "Postgres Pro" flag "x")' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.info.dates[*].datetime("DD-MM-YYYY") ? (@ > "1961-04-12".datetime())' WITH WRAPPER) FROM house;
SELECT JSON_QUERY(js, '$.info.dates[*].datetime("DD-MM-YYYY HH24:MI:SS TZH") ? (@ > "1961-04-12".datetime())' WITH WRAPPER) FROM house;
